Subject: bug#56393: Resetting long_line_optimization_p to 0

From: Gregory Heytings <[email-masked]>
Date: Tue, 19 Jul 2022 09:51:02 +0000

>
> What I meant was resetting the flag without resetting the buffer.  For 
> example in redisplay_window when it finds that the condition for setting 
> it true is no longer met.
>

It is indeed never reset.  It goes only in one direction: as soon as a 
buffer contains one "long enough" line, the specific optimizations are 
used, and the buffer continues to use them.  Such buffers are not common, 
I don't think it is necessary/useful to check after each iteration whether 
the buffer still contains long lines, especially given that these 
optimizations have a near-nil effect in buffers without long lines.